PilotFoxDocs

Get an OAuth discovery document

GET
/.well-known/{*}

Discovery documents that the OAuth authorization server answers while MCP OAuth is on (MCP on, and an https or loopback http PUBLIC_URL), which MCP clients read to authorize: the protected resource metadata (/.well-known/oauth-protected-resource, and /.well-known/oauth-protected-resource/api/mcp, which a 401 from /api/mcp names; RFC 9728) and the authorization server's (/.well-known/oauth-authorization-server/api/auth; RFC 8414). 404 for any other path.

Path Parameters

**string

Response Body

The metadata document

application/json
  1. response

The metadata document

[key: string]?unknown
Example Request
curl -X GET 'https://pilotfox.app/.well-known/string'
Example Response200
{  "property1": null,  "property2": null}